bread {sandwich} | R Documentation

## Bread for Sandwiches

### Description

Generic function for extracting an estimator for the bread of sandwiches.

### Usage

    bread(x, ...)

### Arguments

`x` | a fitted model object.
`...` | arguments passed to methods.

### Value

A matrix containing an estimator for the expectation of the negative derivative of the estimating functions, usually the Hessian. Typically, this should be an k x k matrix corresponding to k parameters. The rows and columns should be named as in `coef` or `terms`, respectively.

The default method tries to extract `vcov` and `nobs` and simply computes their product.

### References

Zeileis A (2006), Object-Oriented Computation of Sandwich Estimators. Journal of Statistical Software, 16(9), 1–16. URL http://www.jstatsoft.org/v16/i09/.

### See Also

`lm`, `glm`

### Examples

    ## linear regression
    x <- sin(1:10)
    y <- rnorm(10)
    fm <- lm(y ~ x)

    ## bread: n * (x'x)^{-1}
    bread(fm)
    solve(crossprod(cbind(1, x))) * 10

[Package sandwich version 2.5-1 Index]